VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCatalog products

List Catalog products

Get a list of Catalog products.

GET
/catalogProducts

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/catalogProducts"
{  "catalogProducts": [    {      "name": "string",      "description": "string",      "externalId": "string",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "hasMore": true,  "nextCursor": "string"}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}